[HDA-Intel - HDA Intel] no sound with external jacks on Optiplex XE

Bug #586418 reported by Mathieu Trudel-Lapierre on 2010-05-27
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
alsa-driver (Ubuntu)
Medium
David Henningsson
linux (Ubuntu)
Undecided
Unassigned

Bug Description

This is with a Dell Optiplex XE desktop system:

Playing sound yields to output at all; not on a possible internal speaker, nor on the external jack with headphones plugged in. Additionally, the mic jack does not capture sound.

=== Current Workaround for Lucid ===

https://wiki.ubuntu.com/Audio/InstallingLinuxAlsaDriverModules

======
There is a corresponding bug #582199 for Dell Optiplex 380 and bug #588031 for Dell Optiplex 980.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: alsa-base 1.0.22.1+dfsg-0ubuntu3
ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-21-generic i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 1144 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfe6fc000 irq 16'
   Mixer name : 'Realtek ALC269'
   Components : 'HDA:10ec0269,102802fb,00100100'
   Controls : 10
   Simple ctrls : 6
Date: Wed May 26 16:27:06 2010
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
PackageArchitecture: all
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
SelectedCard: 0 Intel HDA-Intel - HDA Intel
SourcePackage: alsa-driver
Symptom: audio
Title: [HDA-Intel - HDA Intel] ALSA test tone not correctly played back
dmi.bios.date: 11/20/2009
dmi.bios.vendor: Dell Inc.
dmi.bios.version: X18
dmi.board.name: 08N8V4
dmi.board.vendor: Dell Inc.
dmi.board.version: X01
dmi.chassis.type: 3
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrX18:bd11/20/2009:svnDellInc.:pnOptiPlexXE:pvr:rvnDellInc.:rn08N8V4:rvrX01:cvnDellInc.:ct3:cvr:
dmi.product.name: OptiPlex XE
dmi.sys.vendor: Dell Inc.

Daniel T Chen (crimsun) wrote :

Is this symptom reproducible with linux-backports-modules-alsa-lucid-generic installed?

Changed in alsa-driver (Ubuntu):
status: New → Incomplete

Hi Daniel,

Yes, it is fully reproducible with linux-backports-modules-alsa-2.6.32-21-generic.

I've tested the same on three similar Optiplex XE's with the 8086:3a6e PCI ID (Intel Corporation 82801JD/D0 (ICH10 Family) HD Audio Controller, in some cases with an internal speaker (but the internal speaker works), some with ALC269, others with ALC259. All fail to output sound through the speaker jack, or capture sound from an external microphone.

Changed in alsa-driver (Ubuntu):
status: Incomplete → New
Daniel T Chen (crimsun) wrote :

Please reproduce this symptom when 1.0.23 lands in lucid-updates.

Ameet Paranjape (ameetp) on 2010-05-27
Changed in alsa-driver (Ubuntu):
importance: Undecided → Medium
status: New → Incomplete
Hankyone (hankyone) wrote :

Bug still present on Maverick 10.10

Ameet Paranjape (ameetp) on 2010-07-06
Changed in alsa-driver (Ubuntu):
status: Incomplete → Triaged
Ameet Paranjape (ameetp) on 2010-07-06
Changed in alsa-driver (Ubuntu):
status: Triaged → Incomplete
status: Incomplete → Triaged
Ameet Paranjape (ameetp) on 2010-07-14
Changed in alsa-driver (Ubuntu):
assignee: nobody → Canonical Desktop Team (canonical-desktop-team)
Sebastien Bacher (seb128) wrote :

Luke, could you work on this one?

Changed in alsa-driver (Ubuntu):
assignee: Canonical Desktop Team (canonical-desktop-team) → Luke Yelavich (themuso)
Jerone Young (jerone) wrote :

Can somone post the output of /proc/asound/card0/codec#0 .. need to know what codec is in this machine. Also lspci -vvnn output?

On Wed, Jul 21, 2010 at 03:27:28PM CEST, Jerone Young wrote:
> Can somone post the output of /proc/asound/card0/codec#0 .. need to know
> what codec is in this machine. Also lspci -vvnn output?

Jerone, you will find this info earlier in the bug, i.e http://launchpadlibrarian.net/49211677/Card0.Codecs.codec.2.txt

David Henningsson (diwic) wrote :

It's the same chip as in bug #582199, so the workaround (with the two init verbs) at the top there should work here as well. I'm also working on getting a more permanent solution into Maverick, as you can see if you follow that bug.

Changed in alsa-driver (Ubuntu):
status: Triaged → In Progress
assignee: Luke Yelavich (themuso) → David Henningsson (diwic)
description: updated
Jerone Young (jerone) wrote :

@David
        Can you spin a DKMS package with your fix so folks can test? I sent you instructions on how to do it.

David Henningsson (diwic) wrote :

@Jerone: As soon as I have a solution that works on the machine in the certification lab, I'll do so.

Changed in alsa-driver (Ubuntu):
status: In Progress → Fix Committed
David Henningsson (diwic) wrote :

A patch is in upstream: http://git.kernel.org/?p=linux/kernel/git/tiwai/sound-2.6.git;a=commit;h=5d4abf93ea3192cc666430225a29a4978c97c57d

A dkms module is in my ppa: alsa-intel-hda-optiplex-dkms, current prognosis is that it will build in three days...!

So wait a few days, then you can either pick it from there or from https://wiki.ubuntu.com/Audio/InstallingLinuxAlsaDriverModules

description: updated
Changed in linux (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.35-14.20

---------------
linux (2.6.35-14.20) maverick; urgency=low

  [ Andy Whitcroft ]

  * update Vcs-Git to point to maverick repo
  * debian -- include the debian packaging in the -source package
    - LP: #608674
  * select debian source format 1.0
  * add support for building selected stages of kernel
    - LP: #603087
  * cleanup conditional dependancy handling
    - LP: #603087

  [ Upstream Kernel Changes ]

  * ALSA: hda - Handle missing NID 0x1b on ALC259 codec
    - LP: #582199, #586418, #588031
  * ALSA: hda - Handle pin NID 0x1a on ALC259/269
    - LP: #582199, #586418, #588031
  * sched: Revert nohz_ratelimit() for now
 -- Leann Ogasawara <email address hidden> Tue, 03 Aug 2010 08:46:47 -0700

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
description: updated
Changed in alsa-driver (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers